Subject: Commit in docs/usefor (usepro.xml)

From: [email-masked]
Date: Mon, 25 May 2009 17:31:33 -0700 (PDT)

Date: Monday, May 25, 2009 @ 17:31:32
  Author: eagle
Revision: 5927

Add multiple minor typo fixes and clarifications.

Examples showing newsgroup description information now include a specific
note saying that the spaces are typographic and that in real messages
tabs are required.  Checkgroups update moderation status as well.

Modified:
  docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml	2009-05-26 00:19:41 UTC (rev 5926)
+++ docs/usefor/usepro.xml	2009-05-26 00:31:32 UTC (rev 5927)
@@ -959,7 +959,7 @@
         <t>A relaying agent accepts injected articles from injecting and
         other relaying agents and passes them on to relaying or serving
         agents.  To avoid bypass of injecting agent policies and forgery
-        of Path and Injector-Info headers, relaying agents SHOULD accept
+        of Path and Injection-Info headers, relaying agents SHOULD accept
         articles only from trusted agents.</t>
 
         <t>An article SHOULD NOT be relayed unless the sending agent has
@@ -1759,7 +1759,7 @@
         </figure>
 
         <figure>
-          <preamble>The content of the application/news-groupinfo body
+          <preamble>The content of the application/news-checkgroups body
           part is defined as:</preamble>
 
           <artwork type="abnf">
@@ -1794,6 +1794,10 @@
         is present, all groups that exist in that hierarchy MUST be
         listed unless its scope is limited by external information, in
         which case all groups SHOULD be listed.</t>
+
+        <t>Spaces are used in this example for formatting reasons.  In
+        an actual message the newsgroup name and description MUST be
+        separated by one or more tabs (HTAB, ASCII %d09), not spaces.</t>
       </section>
     </section>
 
@@ -1961,6 +1965,11 @@
       --nxtprt--
               </artwork>
             </figure>
+
+            <t>Spaces are used in this example for formatting reasons.  In
+            an actual message the newsgroup name and description MUST be
+            separated by one or more tabs (HTAB, ASCII %d09), not
+            spaces.</t>
           </section>
         </section>
 
@@ -1986,7 +1995,8 @@
           valid groups in a hierarchy with descriptions and moderation
           status.  It requests that a news server update its valid newsgroup
           list for that hierarchy to include the groups specified, remove
-          any groups not specified, and update group descriptions to match
+          any groups not specified, and update group descriptions and
+          moderation status to match
           those given in the checkgroups control message.  The syntax of
           its Control header field is:</t>
 
@@ -2213,9 +2223,10 @@
         difficulty of authenticating them and their widespread abuse.</t>
 
         <t>Cancel control messages are not required to have the same
-        Newsgroups header field as the messages they are cancelling and,
-        since they are sometimes processed before the original message is
-        received, it may not be possible to check that they do.  This
+        Newsgroups header field as the messages they are cancelling.
+        Since they are sometimes processed before the original message is
+        received, it may not be possible to check that the Newsgroup
+        header fields match.  This
         allows a malicious poster to inject a cancel control message for
         an article in a moderated newsgroup without adding an Approved
         header field to the control message, and to hide malicious cancel